### Function

# Clutter ActorCreateChildFunc

#### Declaration

    ClutterActor*
    (* ClutterActorCreateChildFunc) (
      GObject* item,
      gpointer user_data
    )

#### Description [src]

Creates a `ClutterActor` using the `item` in the model.

The usual way to implement this function is to create a `ClutterActor` instance and then bind the `GObject` properties to the actor properties of interest, using g_object_bind_property(). This way, when the `item` in the `GListModel` changes, the `ClutterActor` changes as well.

#### Parameters

`item`

  Type: `GObject`

  The item in the model.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  Data passed to clutter_actor_bind_model().

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `ClutterActor`

The newly created child `ClutterActor4`.

The caller of the function takes ownership of the data, and is responsible for freeing it.